Summary: Chinese HZ/GB/BIG5 encodings auto-converter
Name: autoconvert
Version: 0.3.7
Release: 14.2.1
Copyright: GPL
Group: Applications/Text
Source: http://master.debian.org/~ygh/%{name}-%{version}.tar.gz
Patch1: autoconvert-fPIC.patch
Patch2: autoconvert-print.patch
Buildroot: /var/tmp/%{name}-root

%description
zh-AutoConvert consists of three parts: A converter from Chinese HZ
encoding to GB encoding, an auto-converter from HZ/GB/BIG5 encoding to
GB/BIG5 encoding, and a working procmail example to auto-convert incoming
mail. 

 Author: YU Guanghui

%package xchat
Summary: Auto-convert xchat plugins
Group: Applications/Text
Requires: xchat
%description xchat
Auto-convert xchat plugins

%prep
%setup
%patch1 -p1
%patch2 -p1
%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" make
cd contrib/xchat-plugins;make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 autogb $RPM_BUILD_ROOT/usr/bin
ln -s autogb $RPM_BUILD_ROOT/usr/bin/autob5
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
install -m 755 contrib/xchat-plugins/xchat-autob5.so $RPM_BUILD_ROOT/%{_libdir}
install -m 755 contrib/xchat-plugins/xchat-autogb.so $RPM_BUILD_ROOT/%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*

%doc doc/400b5.txt doc/400gb.txt doc/API
%doc doc/b5percent.txt doc/gbpercent.txt
%doc doc/libhz.txt doc/percent.py
%doc ChangeLog GPL LICENSE Readme TODO Thanks 
%doc procmailrc.example shed.* hz.txt contrib/*.pl

%files xchat
%defattr(-,root,root)
%{_libdir}/xchat-autob5.so
%{_libdir}/xchat-autogb.so

%changelog
* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Yu Shao <yshao@redhat.com> 0.3.7-13
- a printf patch to fix printf problem for x86_64

* Wed Jun  4 2003 Yu Shao <yshao@redhat.com> 0.3.7-12
- a printf patch to fix mass rebuild failure

* Wed Apr  2 2003 Matt Wilson <msw@redhat.com> 0.3.7-11
- move the plugins to %%{_libdir} (#85849)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild for all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Mar 01 2002 Yu Shao <yshao@redhat.com>
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- rebuild to remove the sgid dirs
- don't include the CVS dir in the docs list

* Tue Jun 26 2001 Bill Nottingham <notting@redhat.com>
- fix build on ia64 (need -fPIC for shared code)

* Tue Dec 19 2000 Yukihiro Nakai <ynakai@redhat.com>
- Fix the Group.

* Thu Dec 14 2000 Yukihiro Nakai <ynakai@redhat.com>
- Get from CLE.

* Thu Dec  7 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update to 0.3.7
- added xchat plugins in package autoconvert-xchat

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 0.3.5
- fix link bug

* Mon Jan  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- Add English description .
- example files

* Tue Dec 28 1999 Andrew Lee <andrew@cle.linux.org.tw>
- First .spec
